#### D.15.20.2 SGNF

Procedure from library `sagbigrob.lib` (see sagbigrob_lib).

Usage:
  SGNF(f,I,A); f polynomial, I ideal of subalgebra
  A, A ideal (which is a finite Sagbi bases).

Return:
  a polynomial h: the normalform of f wrt. I in A

Example:

    LIB "sagbigrob.lib";
    ring r=0,(x,y),Dp;
    ideal A=x2,xy;
    ideal I=x3y+x2,x4+x2y2,-x3y3-x2y2;
    poly f=x6y6+x2;
    poly g=x12+x6y6-x8+x5y;
    SGNF(f,I,A);
    ==> x2y2+x2
    SGNF(g,I,A);
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.